#pragma once
#include "libs.h"
#include "model_body.h"

class CollMeshSet;
class Ship;

class SpaceStation : public ModelBody {
public:
  SpaceStation(void);
  virtual ~SpaceStation(void);
  virtual bool OnCollision(Body* b, Uint32 flags);
  virtual Object::Type GetType(void) { return Object::SPACESTATION; }
  virtual void Render(const Frame* camFrame);
  void GetDockingSurface(CollMeshSet* mset, int midx);
  bool GetDockingClearance(Ship* s);
  struct dockingport_t {
    vector3d center;
    vector3d normal;
    vector3d horiz;
  } port;
};

